Bug 136242 - Calc: Minverse() - when selecting the matrix from function wizard, wrong interval is selected
Summary: Calc: Minverse() - when selecting the matrix from function wizard, wrong inte...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.5.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-08-28 19:17 UTC by BogdanB
Modified: 2020-09-10 19:56 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
video showing the bug (1.27 MB, video/mp4)
2020-08-28 19:17 UTC, BogdanB
Details
file for testing (7.62 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-08-29 18:09 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description BogdanB 2020-08-28 19:17:04 UTC
Description:
See the video (0:28)

1. Open a new Calc. Insert 4 numbers like in a 2*2 matrix.
2. Select any other cell. Insert Minverse() function
3. When selecting the matrix see what is written by LO in that area of datasource (Array field)

Steps to Reproduce:
1. Open a new Calc. Insert 4 numbers like in a 2*2 matrix.
2. Select any other cell. Insert Minverse() function
3. When selecting the matrix see what is written by LO in that area of datasource (Array field)

Actual Results:
Wrong text: B3B3B3:C3B3:C4

Expected Results:
Corect text: B3:C4


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.4.5.2
Build ID: a726b36747cf2001e06b58ad5db1aa3a9a1872d6
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 BogdanB 2020-08-28 19:17:23 UTC
Created attachment 164826 [details]
video showing the bug
Comment 2 BogdanB 2020-08-28 19:19:52 UTC
What I notice is that this is happening if I select more than one cell before starting the wizard. (see in the video)
Comment 3 Regina Henschel 2020-08-29 13:55:18 UTC
I cannot reproduce the problem, tested with
Version: 7.0.0.2 (x64)
Build ID: c01aa64b6c3d89ebe5fe69c28c7adb24eb85249c
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: Skia/Raster; VCL: win
Locale: de-DE (en_US); UI: en-US
Calc: CL
Comment 4 m.a.riosv 2020-08-29 16:32:15 UTC
I neither can with:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 5e9d24f08551c06a20aa01408eb708c813fe20c4
CPU threads: 4; OS: Windows 10.0 Build 20180; UI render: Skia/Raster; VCL: win
Locale: es-ES (es_ES); UI: en-US Calc: CL
Versión: 6.4.6.0.0+ (x64)
Id. de compilación: 33d23bfd409783e5ba7279a7ef40f970e629e518
Subprocs. CPU: 4; SO: Windows 10.0 Build 20180; Repres. IU: GL; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES Calc: threaded
Comment 5 BogdanB 2020-08-29 18:04:44 UTC
Maybe it's just a linux bug?...
Comment 6 BogdanB 2020-08-29 18:09:25 UTC
Created attachment 164853 [details]
file for testing

This is the file for testing

You need to select first the grey area, and after that to insert the minverse() function with that matrix.
Comment 7 BogdanB 2020-08-29 18:12:58 UTC
Repro in
Version: 6.4.4.1
Build ID: b50bc319eca5cd5b66fbfe2ebd0d3bd1eed099b5
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

Repro in
Version: 6.3.5.2
Build ID: dd0751754f11728f69b42ee2af66670068624673
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

Don't repro in
Version: 5.4.7.2
Build ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk2; 
Locale: ro-RO (ro_RO.UTF-8); Calc: group
Comment 8 Buovjaga 2020-08-29 19:12:57 UTC
Bibisected with linux-64-6.3 to https://git.libreoffice.org/core/commit/feecbabd01870ed83a04baa6cb13d7a8af832ac3
weld FormulaDialog

drop xFocusWin hack, I don't see what gain it gives

Adding Cc: to Caolán McNamara
Comment 9 m.a.riosv 2020-08-30 09:26:20 UTC
I cannot repro with sample file, AND I'm not able to get a way to do it.
Version: 6.4.6.2 (x64)
Build ID: 0ce51a4fd21bff07a5c061082cc82c5ed232f115
CPU threads: 4; OS: Windows 10.0 Build 20180; UI render: default; VCL: win; 
Locale: es-ES (es_ES); UI-Language: en-US Calc: threaded
Comment 10 Caolán McNamara 2020-08-31 09:25:31 UTC
this appears to be an issue with the selection, calc must be stealing the selection leaving the entry unselected so the entry text isn't replaced
Comment 11 BogdanB 2020-08-31 09:39:19 UTC
Yes, but in 5.4.7 was ok.
Comment 12 Commit Notification 2020-08-31 11:44:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/82f591a2ec06c680daf41628fe4c352b6a55d545

tdf#136242 disable changing selection while formula wizard is open

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Caolán McNamara 2020-08-31 11:46:21 UTC
and in 7.0 with gen it would also be ok, but with gtk3 its now a GtkEntry and gtk only allow one widget to have the selection.

anyhow ok in master, backport to 7-0 in gerrit
Comment 14 Commit Notification 2020-08-31 11:57:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9460b6baf392c11091e46105071b7d7b6c4eb1ca

Related: tdf#136242 should only matter input ref mode is active

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2020-09-01 11:40:50 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/9ee0dbd54a60b07ff692a842e49942e56f762f92

tdf#136242 disable changing selection while formula wizard is open

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 BogdanB 2020-09-10 19:56:48 UTC
Verified.
Thanks for solving this.